/*
 * khelp.c - Helper functions in kernel context
 *
 * Written 2002 by Werner Almesberger
 */


#define __KERNEL__
#include "linux/include/linux/kernel.h"
#include "linux/include/linux/sched.h"
#include "linux/include/linux/interrupt.h"


int got_work(void)
{
    return !!softirq_pending(0) || TQ_ACTIVE(tq_timer);
    /* @@@ should check all CPUs */
}


int other_runnable(void)
{
    struct task_struct *p;

    for_each_task(p) {
#if 0
	printk("pid %d state %ld cmd \"%16s\" (i'm %d)\n",p->pid,p->state,
	  p->comm,init_task.pid);
#endif
	if (p != current && p->state == TASK_RUNNING) return 1;
    }
    return 0;
}
