/*
 * timer.h - Event timers
 * 
 * Written 2002 by Werner Almesberger
 */


#ifndef TIMER_H
#define TIMER_H

extern struct timeval now;
extern unsigned long jiffies;

void wake_kernel(unsigned delta_jiffies);
void wait_kernel(void);
void set_timer(struct timeval tv,void (*fn)(void *user),void *user);
unsigned long tv2jiffies(struct timeval tv);

#endif /* TIMER_H */
