/*
 * umlsim.c - UML-based discrete event simulator
 *
 * Written 2002 by Werner Almesberger
 */


#include <stdio.h>


extern void umlsim_setup_time(void);
extern int __real_main(int argc,const char **argv);
extern void calibrate_delay(void);


int __wrap_main(int argc,const char **argv)
{   
    int ret;

    umlsim_setup_time();
    *(unsigned char *) calibrate_delay = 0xc3; /* ret */
    ret = __real_main(argc,argv);
    fprintf(stderr,"UML returns %d\n",ret);
    return 0;
}
